/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "WidgetOffset.h"

#include <qwidget.h>

WidgetOffset::WidgetOffset()
{
    xPos = yPos = 0;
}

int WidgetOffset::x()
{
    return xPos;
}
    
int WidgetOffset::y()
{
    return yPos;
}
    
void WidgetOffset::set(const QWidget* parent, const QWidget* widget)
{
    xPos = parent->width()-widget->x();
    yPos = parent->height()-widget->y();
}

void WidgetOffset::set(int x,int y)
{
    xPos = x;
    yPos = y;
}

